
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_ICP_SERVER_H
#define PG_ICP_SERVER_H

#include "icp/IcpBase.h"

class Cache;

// replies to ICP queries
class IcpServer: virtual public IcpBase {
	public:
		IcpServer();

		void cache(Cache *aCache);

	protected:
		void noteRequest(const IcpMsg &m);
		virtual int logCat() const;

	protected:
		Cache *theCache;
};

#endif
