
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_GOAL_CLASS_H
#define PG_GOAL_CLASS_H

#include "base/GoalRec.h"

class GoalSym;
class StatPhase;

// phase goal (progress target)
class Goal: public GoalRec {
	public:
		Goal();

		void configure(const GoalSym *cfg);
		bool reached(const StatPhase &ph) const;
};

#endif
