
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_DNS_QUERY_MESSAGE_H
#define PG_DNS_QUERY_MESSAGE_H

#include "dns/DnsMsg.h"


class Socket;
class OBStream;

// common type for all DNS messages
class DnsQuery: public DnsMsg {
	public:
		bool sendTo(const NetAddr &ns, Socket &s);

	protected:
		bool dumpAQuery(OBStream &os) const;
		bool dumpName(OBStream &os, const NetAddr &addr) const;
};

#endif
